Bug 7475 - [UPDATE REQUEST] memcached 1.4.22 → 1.4.33
: [UPDATE REQUEST] memcached 1.4.22 → 1.4.33
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
https://advisories.mageia.org/MGASA-2...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-01 18:53 MSK by Алзим
Modified: 2016-11-22 05:47 MSK (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Алзим 2016-11-01 18:53:26 MSK
Компания Cisco сообщила о выявлении в системе кэширования данных в оперативной памяти memcached серии критических уязвимостей, позволяющих выполнить код в системе с правами процесса memcached через передачу специально оформленных команд. Проблемы устранены во вчерашнем выпуске Memcached 1.4.33.

CVE-2016-8705 - серия целочисленных переполнений в функции process_bin_update, отвечающей за обработку команд Set (0x01), Add (0x02), Replace (0x03) , SetQ (0x11), AddQ (0x12) и ReplaceQ (0x13). Эксплуатация уязвимости может привести к переполнению кучи и выполнению кода атакующего;
CVE-2016-8704 - целочисленное переполнение в функции process_bin_append_prepend, отвечающей за обработку команд Append (0x0e), Prepend (0x0f), AppendQ (0x19) и PrependQ (0x1a). Эксплуатация уязвимости может привести к переполнению кучи и выполнению кода атакующего;
CVE-2016-8706 - целочисленное переполнение в функции process_bin_sasl_auth, используемой для обработки команд SASL-аутенитификации, которое может привести к переполнению кучи и выполнению кода атакующего.
Администраторам рекомендуется убедиться, что доступ к сетевому порту Memcached открыт только для внутренних служб, а процесс memcached запускается от непривилегированного отдельного пользователя. Уязвимости проявляются только при использовании бинарного протокола, поэтому в качестве обходного метода защиты достаточно ограничить передачу команд только в режиме ASCII (запуск с опцией "-B ascii"). Обновления пакетов для дистрибутивов пока не выпущены (Debian, FreeBSD, Fedora, Ubuntu, CentOS, SUSE, openSUSE, RHEL). Для всех уязвимостей доступны рабочие прототипы эксплоитов.
http://www.opennet.ru/opennews/art.shtml?num=45407
Comment 1 Алзим 2016-11-01 18:55:02 MSK
Advisory: «Updated to 1.4.33»

https://abf.io/build_lists/2746474
https://abf.io/build_lists/2746475
Comment 2 Vladimir Potapov 2016-11-02 11:50:37 MSK
The update is sent to expanded testing
***************************************
Comment 3 Zombie Ryushu 2016-11-18 01:07:43 MSK
Additional CVEs related to this bug.

Aleksandar Nikolic discovered that Memcached incorrectly handled certain
malformed commands. A remote attacker could use this issue to cause
Memcached to crash, resulting in a denial of service, or possibly
execute arbitrary code (CVE-2016-8704, CVE-2016-8705, CVE-2016-8706).
Comment 4 Vladimir Potapov 2016-11-21 22:23:45 MSK
memcached-1.4.33-1
https://abf.io/build_lists/2746474
https://abf.io/build_lists/2746475
****************************** Advisory ********************************
Updated to 1.4.33, Fix many CVEs
************************************************************************
QA Verified